package sra.jun.collections.sequences;

import sra.smalltalk.*;

/**
 * JunSequence class
 * 
 *  @author    nisinaka
 *  @created   2002/07/18 (by nisinaka)
 *  @updated   N/A
 *  @version   445 (with StPL6.5) based on JunXXX for Smalltalk
 *  @copyright 1999-2004 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2004 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2004 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunSequence.java,v 6.5 2004/04/15 06:27:50 nisinaka Exp $
 */
public abstract class JunSequence extends StObject {

	/**
	 * Enumerate the objects and evaluate the block.
	 * 
	 * @param aBlock sra.smalltalk.StBlockClosure
	 * 
	 * @return java.lang.Object
	 */
	public Object detect_(StBlockClosure aBlock) {
		return this.detect_ifNone_(aBlock, new StBlockClosure() {
			public Object value() {
				throw SmalltalkException.Error("Element not Found");
			}
		});
	}

	/**
	 * Evaluate aBlock with each of the receiver's elements as the argument.
	 * Answer the first element for which aBlock evaluates to true.
	 * 
	 * @param aBlock sra.smalltalk.StBlockClosure
	 * @param exceptionBlock sra.smalltalk.StBlockClosure
	 * 
	 * @return java.lang.Object
	 */
	public Object detect_ifNone_(final StBlockClosure aBlock, StBlockClosure exceptionBlock) {
		Object result = this.do_(new StBlockClosure() {
			public Object value_(Object each) {
				return ((Boolean) aBlock.value_(each)).booleanValue() ? each : null;
			}
		});

		return (result == null) ? exceptionBlock.value() : result;
	}

	/**
	 * Emunerate all the elements and evaluate the Block.
	 * 
	 * @param aBlock sra.smalltalk.StBlockClosure
	 * 
	 * @return java.lang.Object
	 */
	public abstract Object do_(final StBlockClosure aBlock);
}
