package sra.jun.csg.atoms;

import sra.smalltalk.StBlockClosure;
import sra.jun.geometry.basic.Jun3dPoint;

/**
 * JunBlockCSG class
 * 
 *  @author    nisinaka
 *  @created   1998/10/18 (by nisinaka)
 *  @updated   N/A
 *  @version   445 (with StPL6.5) based on JunXXX for Smalltalk
 *  @copyright 1999-2004 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2004 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2004 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunBlockCSG.java,v 6.5 2004/04/15 06:27:50 nisinaka Exp $
 */
public class JunBlockCSG extends sra.jun.csg.abstracts.JunCSG {
	protected StBlockClosure block;

	/**
	 * Create a new instance of JunBlockCSG.
	 * 
	 * @param aBlock sra.smalltalk.StBlockClosure
	 */
	public JunBlockCSG(StBlockClosure aBlock) {
		this.setBlock_(aBlock);
	}

	/**
	 * Create a new instance of JunBlockCSG.
	 * 
	 * @param aBlock sra.smalltalk.StBlockClosure
	 * 
	 * @return sra.jun.csg.atoms.JunBlockCSG
	 */
	public static JunBlockCSG On_(StBlockClosure aBlock) {
		return new JunBlockCSG(aBlock);
	}

	/**
	 * Answer a value at the specified point.
	 * 
	 * @param aJun3dPoint sra.jun.geometry.basic.Jun3dPoint
	 * 
	 * @return double
	 */
	public double valueAt_(Jun3dPoint aJun3dPoint) {
		return ((Number) block.value_(aJun3dPoint)).doubleValue();
	}

	/**
	 * Set the block closure.
	 * 
	 * @param aBlock sra.smalltalk.StBlockClosure
	 */
	protected void setBlock_(StBlockClosure aBlock) {
		block = aBlock;
	}
}
