package sra.jun.goodies.calendar;

import sra.smalltalk.StViewPanel;
import sra.smalltalk.WindowSpecLayout;

/**
 * JunCalendarClockDateAndTimeViewAwt class
 * 
 *  @author    Nobuto Matsubara
 *  @created   2003/10/06 (by Nobuto Matsubara)
 *  @updated   N/A
 *  @version   445 (with StPL6.5) based on Jun472 for Smalltalk
 *  @copyright 1999-2004 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2004 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2004 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunCalendarClockDateAndTimeViewAwt.java,v 6.8 2004/04/15 06:27:55 nisinaka Exp $
 */
public class JunCalendarClockDateAndTimeViewAwt extends StViewPanel implements JunCalendarClockDateAndTimeView {
    protected JunCalendarDateViewAwt dateView;
    protected JunCalendarTimeViewAwt timeView;
    
    /**
     * Create a new instance of JunCalendarClockDateAndTimeViewAwt and initialize it.
     *
     * @param aCalendarDateAndTimeModel JunCalendarDateAndTimeModel
     * @category instance creation
     */
    public JunCalendarClockDateAndTimeViewAwt(JunCalendarClockDateAndTime aCalendarClockDateAndTime) {
        super(aCalendarClockDateAndTime);
    }
    
    /**
     * Answer my date view.
     *
     * @return JunCalendarDateViewAwt
     * @category accessing
     */
    public JunCalendarDateViewAwt dateView() {
        if (dateView == null) {
            dateView = new JunCalendarDateViewAwt(this.getModel().calendarDateModel());
        }
        return dateView;
    }
    
    /**
     * Answer my time view.
     *
     * @return JunCalendarTimeViewAwt
     * @category accessing
     */
    public JunCalendarTimeViewAwt timeView() {
        if (timeView == null) {
            timeView = new JunCalendarTimeViewAwt(this.getModel().calendarTimeModel());
        }
        return timeView;
    }

    /**
    * Get model.
    *
    * @return JunCalendarTimeModel
    * @category accessing
    */
    public JunCalendarClockDateAndTime getModel() {
        return (JunCalendarClockDateAndTime)this.model();
    }   
   
    /**
     * Build this component.
     * @category interface opening
     */
    protected void buildComponent() {
		this.setLayout(new WindowSpecLayout());
		this.add(this.dateView(), WindowSpecLayout.Position(0f, 1, 0f, 1, 0.67f, 0, 1f, -1));
		this.add(this.timeView(), WindowSpecLayout.Position(0.67f, 0, 0f, 1, 1f, -1, 1f, -1));
        this.setSize(451, 201);
    }
}
