package sra.jun.goodies.calendar;

import sra.smalltalk.StViewPanel;
import sra.smalltalk.WindowSpecLayout;

/**
 * JunCalendarClockTimeViewAwt class
 * 
 *  @author    Nobuto Matsubara
 *  @created   2003/10/06 (by Nobuto Matsubara)
 *  @updated   N/A
 *  @version   445 (with StPL6.5) based on Jun472 for Smalltalk
 *  @copyright 1999-2004 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2004 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2004 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunCalendarClockTimeViewAwt.java,v 6.6 2004/04/15 06:27:55 nisinaka Exp $
 */
public class JunCalendarClockTimeViewAwt
	extends StViewPanel
	implements JunCalendarClockTimeView {
	protected JunCalendarTimeViewAwt timeView;
	/**
	 * Create instance.
	 *
	 * @param aCalendarClockDate JunCalendarClockDate
	 * @category instance creation
	 */
	public JunCalendarClockTimeViewAwt(JunCalendarClockTime aCalendarClockTime) {
		super(aCalendarClockTime);
	}

	/**
	 * Answer my date view.
	 *
	 * @return JunCalendarTimeViewAwt
	 * @category accessing
	 */
	public JunCalendarTimeViewAwt timeView() {
		if (timeView == null) {
			timeView =
				new JunCalendarTimeViewAwt(this.getModel().calendarTimeModel());
		}
		return timeView;
	}

	/**
	* Get model.
	*
	* @return JunCalendarTimeModel
	* @category accessing
	*/
	public JunCalendarClockTime getModel() {
		return (JunCalendarClockTime) this.model();
	}

	/**
	 * Build this component.
	 * @category interface opening
	 */
	protected void buildComponent() {
		this.setLayout(new WindowSpecLayout());
		this.add(this.timeView(), WindowSpecLayout.Position(0f, 1, 0f, 1, 1f, -1, 1f, -1));
		this.setSize(150, 200);
	}
}
