package sra.jun.goodies.calendar;

import java.awt.Dimension;

import sra.smalltalk.StViewJPanel;
import sra.smalltalk.WindowSpecLayout;

/**
 * JunCalendarDateAndTimeIntervalViewSwing class
 * 
 *  @author    Nobuto Matsubara
 *  @created   2003/10/06 (by Nobuto Matsubara)
 *  @updated   N/A
 *  @version   445 (with StPL6.5) based on Jun472 for Smalltalk
 *  @copyright 1999-2004 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2004 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2004 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunCalendarDateAndTimeIntervalViewSwing.java,v 6.7 2004/04/15 06:27:55 nisinaka Exp $
 */
public class JunCalendarDateAndTimeIntervalViewSwing
	extends StViewJPanel
	implements JunCalendarDateAndTimeIntervalView {
	protected JunCalendarDateViewSwing fromDateView;
	protected JunCalendarTimeViewSwing fromTimeView;
	protected JunCalendarDateViewSwing toDateView;
	protected JunCalendarTimeViewSwing toTimeView;
	/**
	 * Create instance.
	 *
	 * @param aCalendarDateAndTimeInterval JunCalendarDateAndTimeInterval
	 * @category instance creation
	 */
	public JunCalendarDateAndTimeIntervalViewSwing(JunCalendarDateAndTimeIntervalModel aCalendarDateAndTimeIntervalModel) {
		super(aCalendarDateAndTimeIntervalModel);
	}

	/**
	 * Answer my date view.
	 *
	 * @return JunCalendarDateViewSwing
	 * @category accessing
	 */
	public JunCalendarDateViewSwing fromDateView() {
		if (fromDateView == null) {
			fromDateView =
				new JunCalendarDateViewSwing(this.getModel().fromCalendarDateAndTimeModel().calendarDateModel());
		}
		return fromDateView;
	}

	/**
	 * Answer my time view.
	 *
	 * @return JunCalendarTimeViewSwing
	 * @category accessing
	 */
	public JunCalendarTimeViewSwing fromTimeView() {
		if (fromTimeView == null) {
			fromTimeView =
				new JunCalendarTimeViewSwing(this.getModel().fromCalendarDateAndTimeModel().calendarTimeModel());
		}
		return fromTimeView;
	}

	/**
	 * Answer my date view.
	 *
	 * @return JunCalendarDateViewSwing
	 * @category accessing
	 */
	public JunCalendarDateViewSwing toDateView() {
		if (toDateView == null) {
			toDateView =
				new JunCalendarDateViewSwing(this.getModel().toCalendarDateAndTimeModel().calendarDateModel());
		}
		return toDateView;
	}

	/**
	 * Answer my time view.
	 *
	 * @return JunCalendarTimeViewSwing
	 * @category accessing
	 */
	public JunCalendarTimeViewSwing toTimeView() {
		if (toTimeView == null) {
			toTimeView =
				new JunCalendarTimeViewSwing(this.getModel().toCalendarDateAndTimeModel().calendarTimeModel());
		}
		return toTimeView;
	}

	/**
	* Get model.
	*
	* @return JunCalendarDateAndTimeModel
	* @category accessing
	*/
	public JunCalendarDateAndTimeIntervalModel getModel() {
		return (JunCalendarDateAndTimeIntervalModel) this.model();
	}

	/**
	 * Build this component.
	 * @category interface opening
	 */
	protected void buildComponent() {
		this.setLayout(new WindowSpecLayout());
		this.add(this.fromDateView(), WindowSpecLayout.Position(0f, 1, 0f, 1, 0.67f, 0, 0.5f, 0));
		this.add(this.fromTimeView(), WindowSpecLayout.Position(0.67f, 0, 0f, 1, 1f, -1, 0.5f, 0));
		this.add(this.toDateView(), WindowSpecLayout.Position(0f, 1, 0.5f, 0, 0.67f, 0, 1f, -1));
		this.add(this.toTimeView(), WindowSpecLayout.Position(0.67f, 0, 0.5f, 0, 1f, -1, 1f, -1));
		this.setPreferredSize(new Dimension(450, 400));
	}
}
