package sra.jun.goodies.calendar;

import java.util.Calendar;
import sra.jun.system.support.JunTestExamples;

/**
 * JunCalendarDateIntervalModelTestExamples class
 * 
 *  @author    Nobuto Matsubara
 *  @created   2003/10/06 (by Nobuto Matsubara)
 *  @updated   N/A
 *  @version   445 (with StPL6.5) based on Jun472 for Smalltalk
 *  @copyright 1999-2004 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2004 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2004 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunCalendarDateIntervalModelTestExamples.java,v 6.7 2004/04/15 06:27:55 nisinaka Exp $
 */
public class JunCalendarDateIntervalModelTestExamples extends JunTestExamples {
	/**
	 * Example1: Open a JunCalendarDateIntervalModel.
	 *
	 * @return boolean
	 */
	public static boolean Example1() {
		JunCalendarDateIntervalModel calendarDateIntervalModel =
			new JunCalendarDateIntervalModel();
		calendarDateIntervalModel.open();
		return true;
	}

	/**
	 * Example2: Set time and open a JunCalendarDateIntervalModel.
	 *
	 * @return boolean
	 */
	public static boolean Example2() {
		Calendar now = Calendar.getInstance();
		Calendar after7days = Calendar.getInstance();
		after7days.add(Calendar.DATE, 7);
		int[] ampm = { 0, 12 };
		JunCalendarDateIntervalModel calendarDateIntervalModel =
			JunCalendarDateIntervalModel.From_to_(now, after7days);
		calendarDateIntervalModel.open();
		return true;
	}

	/**
	 * Example3: Set time and open a JunCalendarDateIntervalModel.
	 *
	 * @return true
	 */
	public static boolean Example3() {
		Calendar now = Calendar.getInstance();
		Calendar before14days = Calendar.getInstance();
		before14days.add(Calendar.DATE, -14);	// error setting
		int[] ampm = { 0, 12 };
		JunCalendarDateIntervalModel calendarDateIntervalModel =
			JunCalendarDateIntervalModel.From_to_(now, before14days);
		calendarDateIntervalModel.open();
		return true;
	}

	/**
	 * Execute all examples.
	 *
	 * @param args an array of command-line arguments
	 */
	public static void main(String argv[]) {
		new JunCalendarDateIntervalModelTestExamples();
	}
}
