package sra.jun.goodies.calendar;

import sra.jun.system.support.JunTestExamples;

/**
 * JunCalendarDateModelTestExamples class
 * 
 *  @author    Nobuto Matsubara
 *  @created   2003/10/06 (by Nobuto Matsubara)
 *  @updated   N/A
 *  @version   445 (with StPL6.5) based on Jun472 for Smalltalk
 *  @copyright 1999-2004 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2004 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2004 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunCalendarDateModelTestExamples.java,v 6.6 2004/04/15 06:27:55 nisinaka Exp $
 */
public class JunCalendarDateModelTestExamples extends JunTestExamples {
	/**
	 * Example1: Open calendar.
	 *
	 * @return boolean
	 */
	public static boolean Example1() {
		JunCalendarDateModel calendarDateModel = new JunCalendarDateModel();
		calendarDateModel.open();
		return true;
	}
	
	/**
	 * Example2: Open calendar and print calendar.
	 *
	 * @return boolean
	 */
	public static boolean Example2() {
		JunCalendarDateModel calendarDateModel = new JunCalendarDateModel();
		System.out.println(calendarDateModel.printCalendarString());
		calendarDateModel.open();
		return true;
	}
	
	/**
	 * Example3: Set calendar 1999.10.22 and open calendar.
	 *
	 * @return boolean
	 */
	public static boolean Example3() {
		JunCalendarDateModel calendarDateModel = JunCalendarDateModel.Year_month_day_(1999, 10, 22);
		calendarDateModel.open();
		return true;
	}
	
	/**
	 * Example4: Set calendar 1999.11.22 and open calendar.
	 *
	 * @return boolean
	 */
	public static boolean Example4() {
		JunCalendarDateModel calendarDateModel = JunCalendarDateModel.Year_month_day_(1999, 11, 22);
		calendarDateModel.open();
		return true;
	}

	/**
	 * Execute all examples.
	 *
	 * @param args an array of command-line argumetns
	 */
	public static void main(String argv[]) {
		new JunCalendarDateModelTestExamples();
	}
}
