package sra.jun.goodies.files;

import java.awt.*;
import java.awt.event.*;
import sra.smalltalk.*;
import sra.jun.system.support.JunSystem;

/**
 * JunFileDialogViewAwt class
 * 
 *  @author    nisinaka
 *  @created   2003/03/09 (by nisinaka)
 *  @updated   N/A
 *  @version   445 (with StPL6.5) based on Jun433 for Smalltalk
 *  @copyright 1999-2004 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2004 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2004 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunFileDialogViewAwt.java,v 6.6 2004/04/15 06:27:56 nisinaka Exp $
 */
public class JunFileDialogViewAwt extends StSimpleDialogViewAwt implements JunFileDialogView {

	protected JunFileViewAwt fileView;
	protected Button acceptButton;
	protected Button cancelButton;

	/**
	 * Create a new instance of JunFileDialogViewAwt and initialize it.
	 *
	 * @param aFileDialog sra.jun.goodies.files.JunFileDialog
	 */
	public JunFileDialogViewAwt(JunFileDialog aFileDialog) {
		super(aFileDialog);
	}

	/**
	 * Answer my model as JunFileDialog.
	 *
	 * @return sra.jun.goodies.files.JunFileDialog
	 */
	public JunFileDialog getFileDialog() {
		return (JunFileDialog) this.model();
	}

	/**
	 * Answer my accpet button.
	 *
	 * @return java.awt.Button
	 */
	protected Button acceptButton() {
		if (acceptButton == null) {
			acceptButton = new Button(JunSystem.$String("Accept"));
			acceptButton.addActionListener(new ActionListener() {
				public void actionPerformed(ActionEvent e) {
					if (getFileDialog().acceptButtonPressed()) {
						getFileDialog().accept().value_(true);
					}
				}
			});
		}
		return acceptButton;
	}

	/**
	 * Build this component.
	 */
	protected void buildComponent() {
		this.setLayout(new WindowSpecLayout());
		this.add(this.fileView(), WindowSpecLayout.Position(0f, 1, 0f, 1, 1f, -97, 1f, -1));
		this.add(this.acceptButton(), WindowSpecLayout.Position(1f, -96, 0f, 16, 1f, -8, 0f, 48));
		this.add(this.cancelButton(), WindowSpecLayout.Position(1f, -96, 0f, 56, 1f, -8, 0f, 88));
		this.setSize(540, 300);

		defaultButton = this.acceptButton();
	}

	/**
	 * Answer my cancel button.
	 *
	 * @return java.awt.Button
	 */
	protected Button cancelButton() {
		if (cancelButton == null) {
			cancelButton = new Button(JunSystem.$String("Cancel"));
			cancelButton.addActionListener(new ActionListener() {
				public void actionPerformed(ActionEvent e) {
					if (getFileDialog().cancelButtonPressed()) {
						getFileDialog().cancel().value_(true);
					}
				}
			});
		}
		return cancelButton;
	}

	/**
	 * Answer my file view.
	 *
	 * @return sra.jun.goodies.files.JunFileViewAwt
	 */
	protected JunFileViewAwt fileView() {
		if (fileView == null) {
			fileView = new JunFileViewAwt(this.getFileDialog().fileModel());
		}
		return fileView;
	}
}
