package sra.jun.goodies.gauge;

import java.awt.Color;
import sra.smalltalk.StRectangle;
import sra.smalltalk.StView;

/**
 * JunGaugeView interface
 * 
 *  @author    nisinaka
 *  @created   2004/04/13 (by nisinaka)
 *  @updated   N/A
 *  @version   445 (with StPL6.5) based on Jun519 for Smalltalk
 *  @copyright 1999-2004 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2004 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2004 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunGaugeView.java,v 6.0 2004/04/13 09:48:47 nisinaka Exp $
 */
public interface JunGaugeView extends StView {

	public static Color SelectionBackgroundColor = new Color(0.0391894f, 0.141131f, 0.415578f);
	public static Color SelectionForegroundColor = Color.white;

	/**
	 * Answer my model as JunGaugeModel.
	 * 
	 * @return sra.jun.goodies.gauge.JunGaugeModel
	 * @category model accessing
	 */
	public JunGaugeModel getGaugeModel();

	/**
	 * Answer the border rectangle of the gauge.
	 * 
	 * @return java.awt.Rectangle
	 * @category accessing
	 */
	public StRectangle gaugeBorder();

}
