package sra.jun.goodies.itemlist;

import java.awt.*;
import sra.smalltalk.*;

/**
 * JunChoiceListViewAwt class
 * 
 *  @author    Mitsuhiro Asada
 *  @created   2003/12/15 (by Mitsuhiro Asada)
 *  @updated   N/A
 *  @version   445 (with StPL6.5) based on Jun465 for Smalltalk
 *  @copyright 1999-2004 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2004 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2004 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunChoiceListViewAwt.java,v 1.6 2004/04/15 06:27:58 nisinaka Exp $
 */
public class JunChoiceListViewAwt extends JunItemListViewAwt implements JunChoiceListView {
	/**
	 * Create a new instance of JunChoiceListViewAwt.
	 * 
	 * @category Instance creation
	 */
	public JunChoiceListViewAwt() {
		super();
	}

	/**
	 * Create a new instance of JunChoiceListViewAwt.
	 * 
	 * @param newModel sra.smalltalk.StModel
	 * @category Instance creation
	 */
	public JunChoiceListViewAwt(StModel newModel) {
		super(newModel);
	}

	/**
	 * Create a new view for the JunChoiceListViewAwt.
	 * The view consists of a JunChoiceListViewAwt on a ScrollPane.
	 * The view having up/down buttons.
	 * 
	 * @return sra.smalltalk.StView
	 * @param newModel sra.jun.goodies.itemlist.JunChoiceListModel
	 * @category Instance creation
	 */
	public static StView OnScrollPaneWithButtons(JunChoiceListModel newModel) {
		return new StViewPanel(newModel) {
			protected JunChoiceListViewAwt itemListView;

			protected void buildComponent() {
				itemListView = new JunChoiceListViewAwt((JunChoiceListModel) this.model());
				ScrollPane scrollPane = new ScrollPane(ScrollPane.SCROLLBARS_ALWAYS) {
					public void setBounds(int x, int y, int width, int height) {
						super.setBounds(x, y, width, height);
						itemListView.setSize(this.getViewportSize().width, this.getViewportSize().height);
					}
				};
				scrollPane.add(itemListView);

				this.setLayout(new WindowSpecLayout());
				this.add(scrollPane, WindowSpecLayout.Position(0f, 1, 0f, 1, 1f, -20, 1f, -1));
				this.add(itemListView.checkOnButtonView(), WindowSpecLayout.Position(1f, -19, 0.5f, -19, 1f, -1, 0.5f, -1));
				this.add(itemListView.checkOffButtonView(), WindowSpecLayout.Position(1f, -19, 0.5f, 1, 1f, -1, 0.5f, 19));
				this.setSize(150, 150);
			}
		};
	}
}
