package sra.jun.goodies.itemlist;

import java.awt.Dimension;
import javax.swing.*;
import sra.smalltalk.*;

/**
 * JunChoiceListViewSwing class
 * 
 *  @author    Mitsuhiro Asada
 *  @created   2003/12/15 (by Mitsuhiro Asada)
 *  @updated   N/A
 *  @version   445 (with StPL6.5) based on Jun465 for Smalltalk
 *  @copyright 1999-2004 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2004 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2004 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunChoiceListViewSwing.java,v 1.7 2004/04/15 06:27:58 nisinaka Exp $
 */
public class JunChoiceListViewSwing extends JunItemListViewSwing implements JunChoiceListView {
	/**
	 * Create a new instance of JunChoiceListViewSwing.
	 * 
	 * @category Instance creation
	 */
	public JunChoiceListViewSwing() {
		super();
	}

	/**
	 * Create a new instance of JunChoiceListViewSwing.
	 * 
	 * @param newModel sra.smalltalk.StModel
	 * @category Instance creation
	 */
	public JunChoiceListViewSwing(StModel newModel) {
		super(newModel);
	}

	/**
	 * Create a new view for the JunChoiceListViewSwing.
	 * The view consists of a JunChoiceListViewSwing on a ScrollPane.
	 * The view having up/down buttons.
	 * 
	 * @return sra.smalltalk.StView
	 * @param newModel sra.jun.goodies.itemlist.JunChoiceListModel
	 * @category Instance creation
	 */
	public static StView OnScrollPaneWithButtons(JunChoiceListModel newModel) {
		return new StViewJPanel(newModel) {
			protected JunChoiceListViewSwing itemListView;

			protected void buildComponent() {
				itemListView = new JunChoiceListViewSwing((JunOrderListModel) this.model());
				JScrollPane scrollPane = new JScrollPane(itemListView, JScrollPane.VERTICAL_SCROLLBAR_ALWAYS, JScrollPane.HORIZONTAL_SCROLLBAR_ALWAYS) {
					public void setBounds(int x, int y, int width, int height) {
						super.setBounds(x, y, width, height);
						this.doLayout();
						itemListView.setBounds(0, 0, this.getViewport().getExtentSize().width, this.getViewport().getExtentSize().height);
					}
				};

				this.setLayout(new WindowSpecLayout());
				this.add(scrollPane, WindowSpecLayout.Position(0f, 1, 0f, 1, 1f, -20, 1f, -1));
				this.add(itemListView.checkOnButtonView(), WindowSpecLayout.Position(1f, -19, 0.5f, -19, 1f, -1, 0.5f, -1));
				this.add(itemListView.checkOffButtonView(), WindowSpecLayout.Position(1f, -19, 0.5f, 1, 1f, -1, 0.5f, 19));
				this.setPreferredSize(new Dimension(150, 150));
			}
		};
	}
}
