package sra.jun.goodies.itemlist;

import java.awt.Point;

/**
 * JunItemListView interface
 * 
 *  @author    Mitsuhiro Asada
 *  @created   2003/12/12 (by Mitsuhiro Asada)
 *  @updated   N/A
 *  @version   445 (with StPL6.5) based on Jun465 for Smalltalk
 *  @copyright 1999-2004 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2004 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2004 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunItemListView.java,v 1.6 2004/04/15 06:27:58 nisinaka Exp $
 */
public interface JunItemListView extends JunOrderListView {
	/**
	 * Answer my model as a JunItemListModel.
	 * 
	 * @return sra.jun.goodies.itemlist.JunItemListModel
	 * @category model accessing
	 */
	public JunItemListModel getItemListModel();

	/**
	 * Answer the index position which item object rectangle contains a point.
	 * 
	 * @return int
	 * @param aPoint java.awt.Point
	 * @category selecting
	 */
	public int whichOfCheckMarksAt_(Point aPoint);
}
