package sra.jun.goodies.itemlist;

import java.io.*;
import sra.smalltalk.StObject;

/**
 * JunOrderListObject class
 * 
 *  @author    Mitsuhiro Asada
 *  @created   2003/12/09 (by Mitsuhiro Asada)
 *  @updated   N/A
 *  @version   445 (with StPL6.5) based on Jun465 for Smalltalk
 *  @copyright 1999-2004 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2004 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2004 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunOrderListObject.java,v 1.7 2004/04/15 06:27:58 nisinaka Exp $
 */
public class JunOrderListObject extends StObject {
	protected String itemString;
	
	/**
	 * Create a new instance of JunOrderListObject.
	 * 
	 * @category Instance creation
	 */
	public JunOrderListObject() {
		super();
		this.initialize();
	}
	
	/**
	 * Create a new instance of JunOrderListObject.
	 * 
	 * @param aString java.lang.String
	 * @category Instance creation
	 */
	public JunOrderListObject(String aString) {
		this();
		this.itemString_(aString);
	}
	
	/**
	 * Initialize this object.
	 * 
	 * @category initialize-release
	 */
	protected void initialize() {
		itemString = "";
	}

	/**
	 * Get the label string.
	 * 
	 * @return java.lang.String
	 * @category accessing
	 */
	public String itemString() {
		return itemString;
	}

	/**
	 * Set the label string.
	 * 
	 * @param aString java.lang.String
	 * @category accessing
	 */
	public void itemString_(String aString) {
		itemString = aString;
	}

	/**
	 * Print my string representation on aWriter.
	 * 
	 * @param aWriter java.io.Writer
	 * @throws IOException if failed.
	 * @category printing
	 */
	public void printOn_(Writer aWriter) throws IOException {
		aWriter.write(this.getClass().getName());
		aWriter.write(" (");
		aWriter.write(this.itemString());
		aWriter.write(")");
	}
}
