package sra.jun.goodies.movie;

import sra.smalltalk.StView;

/**
 * JunMovieView interface
 * 
 *  @author    NISHIHARA Satoshi
 *  @created   2001/01/24 (by NISHIHARA Satoshi)
 *  @updated   2003/03/24 (by nisinaka)
 *  @version   445 (with StPL6.5) based on Jun490 for Smalltalk
 *  @copyright 1999-2004 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2004 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2004 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunMovieView.java,v 6.6 2004/04/15 06:27:59 nisinaka Exp $
 */
public interface JunMovieView extends StView {

	/**
	 * Answer my model as a JunMoviePlayer.
	 * 
	 * @return sra.jun.goodies.movie.JunMoviePlayer
	 * @category accessing
	 */
	public JunMoviePlayer getMoviePlayer();

	/**
	 * Answer my movie handle.
	 * 
	 * @return sra.jun.goodies.JunMovieHandle
	 * @category accessing
	 */
	public JunMovieHandle movieHandle();

	/**
	 * Ansewr true if the view has a movie, otherwise false.
	 * 
	 * @return boolean
	 * @category testing
	 */
	public boolean hasMovie();

	/**
	 * Ansewr true if the view has a tracker, otherwise false.
	 * 
	 * @return boolean
	 * @category testing
	 */
	public boolean hasTracker();

	/**
	 * Ansewr true if the view has a second tracker, otherwise false.
	 * 
	 * @return boolean
	 * @category testing
	 */
	public boolean hasTracker2();

	/**
	 * Set the movie view.
	 * 
	 * @category private
	 */
	public void setMovieView();
}
