package sra.jun.goodies.multimedia;

import java.io.File;
import sra.jun.goodies.files.*;
import sra.jun.system.support.JunSystem;

/**
 * JunMultiMediaImageModelTestExamples class
 * 
 *  @author    nisinaka
 *  @created   2003/03/19 (by nisinaka)
 *  @updated   N/A
 *  @version   445 (with StPL6.5) based on Jun490 for Smalltalk
 *  @copyright 1999-2004 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2004 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2004 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunMultiMediaImageModelTestExamples.java,v 6.6 2004/04/15 06:27:59 nisinaka Exp $
 */
public class JunMultiMediaImageModelTestExamples extends sra.jun.system.support.JunTestExamples {

	/**
	 * Example1: Open a JunMultiMediaViewer.
	 * 
	 * @return boolean
	 */
	public static boolean Example1() {
		JunFileModel.FileType[] fileTypes = new JunFileModel.FileType[] { new JunFileModel.FileType(JunSystem.$String("<1p> files", null, JunSystem.$String("Image")), JunSystem.DefaultImageExtensionPatterns()), JunFileModel.FileType.All(JunSystem.$String("All files"))};
		File aFile = JunFileDialog.Request(JunSystem.$String("Select an <1p> file.", null, JunSystem.$String("Image")), fileTypes, fileTypes[0]);
		if (aFile == null) {
			return false;
		}

		JunMultiMediaImageModel imageModel = new JunMultiMediaImageModel(aFile);
		imageModel.open();
		return true;
	}

	/**
	 * Execute all examples.
	 *
	 * @param args an array of command-line arguments
	 */
	public static void main(java.lang.String[] args) {
		new JunMultiMediaImageModelTestExamples();
	}
}
