package sra.jun.goodies.url;

import java.net.URL;
import sra.smalltalk.SystemInterface;

/**
 * JunURL class
 * 
 *  @author    Mitsuhiro Asada
 *  @created   2002/01/25 (by Mitsuhiro Asada)
 *  @updated   N/A
 *  @version   445 (with StPL6.5) based on JunXXX for Smalltalk
 *  @copyright 1999-2004 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2004 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2004 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunURL.java,v 6.5 2004/04/15 06:28:03 nisinaka Exp $
 */
public class JunURL {
	protected String name;

	/**
	 * Open the browser with the string as URL.
	 * 
	 * @param aString java.lang.String
	 * 
	 * @return sra.jun.goodies.url.JunURL
	 */
	public static JunURL Browse_(String aString) {
		JunURL newURL = JunURL.Named_(aString);
		newURL.browse();

		return newURL;
	}

	/**
	 * Open the browser with the URL.
	 * 
	 * @param aURL java.net.URL
	 * 
	 * @return sra.jun.goodies.url.JunURL
	 */
	public static JunURL Browse_(URL aURL) {
		return JunURL.Browse_(aURL.toString());
	}

	/**
	 * The constructor with name.
	 * 
	 * @param aString java.lang.String
	 * 
	 * @return sra.jun.goodies.url.JunURL
	 */
	public static JunURL Named_(String aString) {
		JunURL newURL = new JunURL();
		newURL.name_(aString);

		return newURL;
	}

	/**
	 * The constructor with URL.
	 * 
	 * @param aURL java.net.URL
	 * 
	 * @return sra.jun.goodies.url.JunURL
	 */
	public static JunURL Named_(URL aURL) {
		return JunURL.Named_(aURL.toString());
	}

	/**
	 * Open the browser.
	 */
	public void browse() {
		if (this.name() != null) {
			SystemInterface.Current().utilBrowse(this.name());
		}
	}

	/**
	 * Answer the name.
	 * 
	 * @return java.lang.String
	 */
	public String name() {
		return name;
	}

	/**
	 * Set the name.
	 * 
	 * @param newName java.lang.String
	 */
	public void name_(String newName) {
		name = newName;
	}
}
