package sra.jun.opengl.objects;

import sra.smalltalk.StBlockClosure;

/**
 * JunOpenGL3dPrimitiveObject class
 * 
 *  @author    nisinaka
 *  @created   1998/10/13 (by nisinaka)
 *  @updated   1999/08/04 (by nisinaka)
 *  @updated   2001/11/20 (by nisinaka)
 *  @version   445 (with StPL6.5) based on JunXXX for Smalltalk
 *  @copyright 1999-2004 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2004 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2004 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunOpenGL3dPrimitiveObject.java,v 6.7 2004/04/15 06:28:09 nisinaka Exp $
 */
public abstract class JunOpenGL3dPrimitiveObject extends JunOpenGL3dObject {

	/**
	 * Convert the receiver to a JunOpenGL3dCompoundObject.
	 * 
	 * @return sra.jun.opengl.objects.JunOpenGL3dCompoundObject
	 */
	public JunOpenGL3dCompoundObject asCompoundObject() {
		JunOpenGL3dCompoundObject compoundObject = new JunOpenGL3dCompoundObject();
		compoundObject.add_(this);

		return compoundObject;
	}

	/**
	 * Answer true if the receiver is a kind of JunOpenGL3dPrimitiveObject,
	 * otherwise false.
	 * 
	 * @return boolean
	 */
	public boolean isPrimitive() {
		return true;
	}

	/**
	 * Answer the number of primitives.
	 * 
	 * @return int
	 */
	public int numberOfPrimitives() {
		return 1;
	}

	/**
	 * Enumerate each objects and evaluate the block.
	 * 
	 * @param aBlock sra.smalltalk.StBlockClosure
	 * 
	 * @return java.lang.Object
	 */
	public Object objectsDo_(StBlockClosure aBlock) {
		return aBlock.value_(this);
	}

	/**
	 * Enumerate all of the primitive objects and evaluate the Block.
	 * 
	 * @param aBlock sra.smalltalk.StBlockClosure
	 * @return java.lang.Object
	 * @category enumerating
	 */
	public Object primitivesDo_(StBlockClosure aBlock) {
		return aBlock.value_(this);
	}

	/**
	 * Enumerate every polygons and evaluate the Block.
	 * 
	 * @param aBlock sra.smalltalk.StBlockClosure
	 * @see sra.jun.opengl.objects.JunOpenGL3dObject#polygonsDo_(sra.smalltalk.StBlockClosure)
	 * @category enumerating
	 */
	public void polygonsDo_(StBlockClosure aBlock) {
		return;
	}

}
