package sra.jun.vrml.field.sf;

import sra.smalltalk.StSymbol;

/**
 * JunVrmlSFEnumField class
 * 
 *  @author    ASTI Beijing
 *  @created   UNKNOWN
 *  @updated   2000/03/17 (by nisinaka)
 *  @version   445 (with StPL6.5) based on JunXXX for Smalltalk
 *  @copyright 1999-2004 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2004 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2004 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunVrmlSFEnumField.java,v 6.5 2004/04/15 06:28:18 nisinaka Exp $
 */
public class JunVrmlSFEnumField extends sra.jun.vrml.field.abstracts.JunVrmlSFField {
	protected StSymbol value;
	protected StSymbol[] validSymbols;

	/**
	 * Create a JunVrmlSFBoolField and initialize it.
	 * 
	 * @param anObject java.lang.Object
	 */
	public JunVrmlSFEnumField(Object anObject) {
		this((StSymbol) anObject);
	}

	/**
	 * Create a new instance of JunVrmlSFEnumField and initialize it.
	 * 
	 * @param aSymbol sra.smalltalk.StSymbol
	 */
	public JunVrmlSFEnumField(StSymbol aSymbol) {
		this.value_(aSymbol);
	}

	/**
	 * Answer the valid symbols. Creation date: (2000/03/17 17:08:37)
	 * 
	 * @return sra.smalltalk.StSymbol[]
	 */
	public StSymbol[] validSymbols() {
		return validSymbols;
	}

	/**
	 * Set the valid symbols. Creation date: (2000/03/17 17:07:50)
	 * 
	 * @param symbols sra.smalltalk.StSymbol[]
	 */
	public void validSymbols(StSymbol[] symbols) {
		validSymbols = symbols;
	}

	/**
	 * Answer my value.
	 * 
	 * @return sra.smalltalk.StSymbol
	 */
	public StSymbol value() {
		return value;
	}

	/**
	 * Set my value.
	 * 
	 * @param aSymbol sra.smalltalk.StSymbol
	 */
	public void value_(StSymbol aSymbol) {
		value = aSymbol;
	}
}
