package sra.jun.vrml.node.abstracts;

import sra.jun.opengl.objects.JunOpenGL3dObject;
import sra.jun.vrml.support.JunVrmlNodeVisitor;

/**
 * JunVrmlAbstractGeometryNode class
 * 
 *  @author    ASTI Beijing
 *  @created   UNKNOWN
 *  @updated   2000/03/27 (by nisinaka)
 *  @version   445 (with StPL6.5) based on JunXXX for Smalltalk
 *  @copyright 1999-2004 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2004 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2004 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunVrmlAbstractGeometryNode.java,v 6.5 2004/04/15 06:28:18 nisinaka Exp $
 */
public abstract class JunVrmlAbstractGeometryNode extends JunVrmlNode {

	/**
	 * Convert the geometry node as a JunOpenGL3dObject.
	 * 
	 * @return sra.jun.opengl.objects.JunOpenGL3dObject
	 */
	public abstract JunOpenGL3dObject asJunOpenGL3dObject();

	/**
	 * Answer true if the receiver is a geometry node, otherwise false.
	 * 
	 * @return boolean
	 */
	public boolean isGeometryNode() {
		return true;
	}

	/**
	 * Process myself with the generator.
	 * 
	 * @param aVisitor sra.jun.vrml.support.JunVrmlNodeVisitor
	 */
	public void nodeDo_(JunVrmlNodeVisitor aVisitor) {
		aVisitor.doGeneralGeometry_(this);
	}
}
