package sra.jun.vrml.support;

import sra.jun.vrml.node.abstracts.*;

/**
 * JunVrmlNodeVisitor class
 * 
 *  @author    ASTI Beijing
 *  @created   UNKNOWN
 *  @updated   N/A
 *  @version   445 (with StPL6.5) based on JunXXX for Smalltalk
 *  @copyright 1999-2004 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2004 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2004 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunVrmlNodeVisitor.java,v 6.5 2004/04/15 06:28:20 nisinaka Exp $
 */
public abstract class JunVrmlNodeVisitor extends sra.smalltalk.StObject {

	/**
	 * Process the geometry node.
	 * 
	 * @param aNode sra.jun.vrml.node.abstracts.JunVrmlAbstractGeometryNode
	 */
	public void doGeneralGeometry_(JunVrmlAbstractGeometryNode aNode) {
		// Do nothing as a default.
	}

	/**
	 * Process the property node.
	 * 
	 * @param aNode sra.jun.vrml.node.abstracts.JunVrmlAbstractPropertyNode
	 */
	public void doGeneralProperty_(JunVrmlAbstractPropertyNode aNode) {
		// Do nothing as a default.
	}

	/**
	 * Process the geometry node.
	 * 
	 * @param aNode sra.jun.vrml.node.abstracts.JunVrmlNode
	 */
	public void doWorldInfo_(JunVrmlNode aNode) {
		// Do nothing as a default.
	}
}
