package sra.smalltalk;

import java.awt.Dialog;

/**
 * StSimpleDialogView interface
 * 
 *  @author    nisinaka
 *  @created   2003/03/09 (by nisinaka)
 *  @updated   N/A
 *  @version   6.5
 *  @copyright 1999-2004 SRA (Software Research Associates, Inc.)
 *  @copyright 2001-2004 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: StSimpleDialogView.java,v 6.5 2004/04/15 06:28:22 nisinaka Exp $
 */
public interface StSimpleDialogView extends StView {

	/**
	 * Initialize and build the components for choosing.
	 *
	 * @param messageString java.lang.String
	 * @param labels java.lang.String[]
	 * @param values java.lang.Object[]
	 * @param defaultValue java.lang.Object
	 * @param result sra.smalltalk.StValueHolder
	 * @param eqBoolean boolean
	 */
	public void _initializeToChoose(String messageString, String[] labels, Object[] values, Object defaultValue, StValueHolder result, boolean eqBoolean);

	/**
	 * Initialize and build the components for requesting.
	 *
	 * @param messageString java.lang.String
	 * @param answerStringValue sra.smalltalk.StValueHolder
	 */
	public void _initializeToRequest(String messageString, StValueHolder answerStringValue);

	/**
	 * Answer the default dialog.
	 *
	 * @return java.awt.Dialog
	 */
	public Dialog defaultDialog();

	/**
	 * Answer my model as StSimpleDialog.
	 *
	 * @return sra.smalltalk.StSimpleDialog
	 */
	public StSimpleDialog getSimpleDialog();
}
